Get data frame analytics job stats

  • GET /_ml/data_frame/analytics/{id}/_stats
  • GET /_ml/data_frame/analytics/_stats
Auth

Required privileges

Cluster privileges monitor_ml

Path parameters

id string optional

Identifier for the data frame analytics job. If you do not specify this option, the API returns information for the first hundred data frame analytics jobs.

Leave it out to use /_ml/data_frame/analytics/_stats.

Query parameters

allow_no_match boolean · default: true

Specifies what to do when the request:

  1. Contains wildcard expressions and there are no data frame analytics jobs that match.
  2. Contains the _all string or no identifiers and there are no matches.
  3. Contains wildcard expressions and there are only partial matches.

The default value returns an empty data_frame_analytics array when there are no matches and the subset of results when there are partial matches. If this parameter is false, the request returns a 404 status code when there are no matches or only partial matches.

from number · default: 0

Skips the specified number of data frame analytics jobs.

size number · default: 100

Specifies the maximum number of data frame analytics jobs to obtain.

verbose boolean · default: false

Defines whether the stats response should be verbose.

Response

application/json
count number required
data_frame_analytics object[] required

An array of objects that contain usage information for data frame analytics jobs, which are sorted by the id value in ascending order.

assignment_explanation string

For running jobs only, contains messages relating to the selection of a node to run the job.

data_counts object required

An object that provides counts for the quantity of documents skipped, used in training, or available for testing.

skipped_docs_count number required

The number of documents that are skipped during the analysis because they contained values that are not supported by the analysis. For example, outlier detection does not support missing fields so it skips documents with missing fields. Likewise, all types of analysis skip documents that contain arrays with more than one element.

test_docs_count number required

The number of documents that are not used for training the model and can be used for testing.

training_docs_count number required

The number of documents that are used for training the model.

id string required

The unique identifier of the data frame analytics job.

memory_usage object required

An object describing memory usage of the analytics. It is present only after the job is started and memory usage is reported.

memory_reestimate_bytes number

This value is present when the status is hard_limit and it is a new estimate of how much memory the job needs.

peak_usage_bytes number required

The number of bytes used at the highest peak of memory usage.

status string required

The memory usage status.

timestamp number

The timestamp when memory usage was calculated.

progress object[] required

The progress report of the data frame analytics job by phase.

phase string required

Defines the phase of the data frame analytics job.

progress_percent number required

The progress that the data frame analytics job has made expressed in percentage.

state enum required

The status of the data frame analytics job, which can be one of the following values: failed, started, starting, stopping, stopped.

Values: started stopped starting stopping failed